Oore CI
ReferenceAPIOperationsProjects

List projects

List projects

Operation IDlist_projects
GET
/v1/projects

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer

Page size (default 50)

Formatint64
offset?integer

Page offset (default 0)

Formatint64
search?string

Filter by name (case-insensitive partial match)

integration_id?string

Filter by linked integration

sort?string

Sort by created_at, updated_at, or name

direction?string

Sort direction: asc or desc

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/projects"
{  "projects": [    {      "created_at": 0,      "created_by": "string",      "current_user_role": "maintainer",      "default_branch": "string",      "description": "string",      "id": "string",      "name": "string",      "repository_avatar_url": "string",      "repository_full_name": "string",      "repository_id": "string",      "repository_provider": null,      "settings": {},      "updated_at": 0    }  ],  "total": 0}